//
//  TLTLImageUtilityBase.h
//  Abstract class for CIImageUtility.bundle
//
//  Created by Prospaquila Project on 09/07/08.
//  Copyright 2009 Prospaquila Project. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface TLTLImageUtilityBase : NSObject 

+ (id)convertUsingObjects:(id)obj, ...;
+ (id)convertFromImage:(NSImage*)src;
+ (NSImage*)imageFromSource:(id)src;
+ (void)drawImage:(id)img inRect:(NSRect)rect;

+ (void)centerRect:(NSRect*)rect inRect:(NSRect)container; 
+ (void)centerRect:(NSRect*)rect inSize:(NSSize*)size;

@end
